package se.paddbacken.relayservice;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Relay {
	private int gpio;
	private boolean powered;
	
	public Relay() {
		// Jackson deserialization
	}
	
	public Relay(int gpio, boolean powered) {
		this.gpio = gpio;		
		this.powered = powered;
	}

	@JsonProperty
	public int getGpio() {
		return gpio;
	}
	
	@JsonProperty
	public boolean isPowered() {
		return powered;
	}
}
