package se.paddbacken.relayservice.ui;

import java.io.IOException;

import org.apache.commons.io.IOUtils;

import se.paddbacken.relayservice.scheduling.LightsSchedulerResource;

public class SysInfoResource {
	private final LightsSchedulerResource lightsSchedulerResource;
	
	public SysInfoResource(LightsSchedulerResource lightsSchedulerResource) {
		this.lightsSchedulerResource = lightsSchedulerResource;
	}
	
	public String getSysInfo() throws IOException {
		return IOUtils.toString(getClass().getResource("/ui/sysinfo.html"))
				.replace("{currentSystemTime}", lightsSchedulerResource.getSystemTime());		
	}
}
